# Contribution Guidelines

Thank you for considering contributing to this bundle. We welcome any kind of
contribution, no matter if its huge or small, about documentation or code. We
also welcome any kind of developers, from experts to people who just started
working on Open-Source projects.

## Requirements

Before your first contribution, make sure you'll meet these requirements:

 * You have a user account on [GitHub](https://github.com/).
 * You have installed in your computer a working environment to develop PHP
   applications.
 * You have a basic level of English (code, docs and discussions are in English).

All submitted contributions (both code and documentation) adhere implicitly to
the [Open-Source MIT License][mit-license].

## Proposing New Features

We are determined to maintain the original simple and pragmatic philosophy of
the bundle. This means that we routinely reject any feature that complicates the
code too much or which doesn't fit in the bundle's philosophy.

That's why **we strongly recommend you** to propose new features by
[opening a new issue][create-issue] in the repository to discuss about them
instead of submitting a pull request with the code of the proposed feature.

## Reporting Bugs

 1. Go to [the list of issues][adminthemebundle-issues] and look for any
    existing bug similar to yours.
 2. If the bug hasn't been reported yet, [create a new issue][create-issue] and
    fill in the given issue template.

## Sending Pull Requests

This project follows the same contribution workflow used by the Symfony project.
First you must clone the repository, then create a feature branch and finally,
submit a pull request via GitHub.

Read the [Symfony contribution guide][sf-contribution] for more details and replace
`symfony/symfony-docs` by `kevinpapst/adminlte-bundle` in every example.

## Code styles

Run `/vendor/bin/php-cs-fixer fix` before submitting any code. 


## Further information

 * [General GitHub documentation][gh-help]
 * [GitHub pull request documentation][gh-pr]

[mit-license]: https://opensource.org/licenses/MIT
[gh-help]: https://help.github.com
[gh-pr]: https://help.github.com/send-pull-requests
[adminthemebundle-issues]: https://github.com/kevinpapst/AdminLTEBundle/issues?utf8=%E2%9C%93&q=is%3Aissue
[create-issue]: https://github.com/kevinpapst/AdminLTEBundle/issues/new
[symfony-standard]: https://github.com/symfony/symfony-standard
[sf-contribution]: http://symfony.com/doc/current/contributing/documentation/overview.html#your-first-documentation-contribution
